Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp.parser
Interface ExpressionParserConstants

All Known Implementing Classes:
  ExpressionParser, ExpressionParserTokenManager

    public interface ExpressionParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `DEC_DIGITS` RegularExpression Id.
`static int` | `DEC_FLT` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DIGIT` RegularExpression Id.
`static int` | `DOUBLE_QUOTED_STRING` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `ESC` RegularExpression Id.
`static int` | `EXPONENT` RegularExpression Id.
`static int` | `FALSE` RegularExpression Id.
`static int` | `FLOAT_LITERAL` RegularExpression Id.
`static int` | `FLT_SUFF` RegularExpression Id.
`static int` | `IDENTIFIER` RegularExpression Id.
`static int` | `INT_LITERAL` RegularExpression Id.
`static int` | `LETTER` RegularExpression Id.
`static int` | `NULL` RegularExpression Id.
`static int` | `PROPERTY_PATH` RegularExpression Id.
`static int` | `SINGLE_QUOTED_STRING` RegularExpression Id.
`static int` | `STRING_ESC` RegularExpression Id.
`static String[]` | `tokenImage` Literal token values.
`static int` | `TRUE` RegularExpression Id.
`static int` | `WithinDoubleQuoteLiteral` Lexical state.
`static int` | `WithinSingleQuoteLiteral` Lexical state.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### NULL

    static final int NULL

  RegularExpression Id.

  See Also:
    Constant Field Values

### TRUE

    static final int TRUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### FALSE

    static final int FALSE

  RegularExpression Id.

  See Also:
    Constant Field Values

### PROPERTY_PATH

    static final int PROPERTY_PATH

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### LETTER

    static final int LETTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIGIT

    static final int DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### ESC

    static final int ESC

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_QUOTED_STRING

    static final int SINGLE_QUOTED_STRING

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING_ESC

    static final int STRING_ESC

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOUBLE_QUOTED_STRING

    static final int DOUBLE_QUOTED_STRING

  RegularExpression Id.

  See Also:
    Constant Field Values

### INT_LITERAL

    static final int INT_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### FLOAT_LITERAL

    static final int FLOAT_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEC_FLT

    static final int DEC_FLT

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEC_DIGITS

    static final int DEC_DIGITS

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXPONENT

    static final int EXPONENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### FLT_SUFF

    static final int FLT_SUFF

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### WithinSingleQuoteLiteral

    static final int WithinSingleQuoteLiteral

  Lexical state.

  See Also:
    Constant Field Values

### WithinDoubleQuoteLiteral

    static final int WithinDoubleQuoteLiteral

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.